Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.planner.benchmark.statistic
Enum SolverStatisticType

    java.lang.Object
      java.lang.Enum<SolverStatisticType>
          org.drools.planner.benchmark.statistic.SolverStatisticType

All Implemented Interfaces:
  Serializable, Comparable<SolverStatisticType>

    public enum SolverStatisticType

extends Enum<SolverStatisticType>

Enum Constant Summary
`BEST_SOLUTION_CHANGED`
`CALCULATE_COUNT_PER_SECOND`
`MEMORY_USE`

Method Summary
`SolverStatistic` | `create()`
`static SolverStatisticType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolverStatisticType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEST_SOLUTION_CHANGED

    public static final SolverStatisticType BEST_SOLUTION_CHANGED

### CALCULATE_COUNT_PER_SECOND

    public static final SolverStatisticType CALCULATE_COUNT_PER_SECOND

### MEMORY_USE

    public static final SolverStatisticType MEMORY_USE

Method Detail

### values

    public static SolverStatisticType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SolverStatisticType c : SolverStatisticType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SolverStatisticType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### create

    public SolverStatistic create()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.